Форум русскоязычного сообщества Ubuntu


Автор Тема: [РЕШЕНО] После обновления отвалился менджер обновлений  (Прочитано 478 раз)

0 Пользователей и 1 Гость просматривают эту тему.

cinyflo

  • Автор темы
  • Гость
Так-то обычно обновляюсь через консоль, но иногда почему-то включаю update-manager. Всегда всё было нормально, такие дела. А тут то ли после обновления, а может быть и по другой причине, но теперь он не то что не работает, он вообще не включается. Команда aptitude reinstall не помогла. Больше ничего адекватного придумать не смог. Так-то не особо пользуюсь, но неприятно, что не работает.
« Последнее редактирование: 03 Апрель 2012, 09:35:59 от cinyflo »

Оффлайн v!tax

  • Старожил
  • *
  • Сообщений: 4157
  • Gentoo x64 bspwm
    • Просмотр профиля
через терминал не пробовал запускать?
господь ведет твою руку, сын мой....

cinyflo

  • Автор темы
  • Гость
Что-то нет... Вечером попробую, напишу на что ругнётся. А пока есть другие мысли?

Оффлайн Nikki1993

  • Заслуженный пользователь
  • Почётный модератор
  • Старожил
  • *
  • Сообщений: 3261
  • Owner of Dell XPS 13 Developer Edition :D
    • Просмотр профиля
sudo apt-get purge update-managersudo apt-get install update-manager
P.S. пурдж так пурдж ) привык purge использовать для репозиториев, а remove для приложений.
« Последнее редактирование: 02 Апрель 2012, 17:51:06 от Nikki1993 »
First i was like :0 Then i was like :D But now i am like(╯°□°)╯︵ ┻━┻
http://www.abload.de/img/banner_505uxa.png

Оффлайн v!tax

  • Старожил
  • *
  • Сообщений: 4157
  • Gentoo x64 bspwm
    • Просмотр профиля
а чего не использовать purge вместо remove?
господь ведет твою руку, сын мой....

Оффлайн kobzar

  • Активист
  • *
  • Сообщений: 253
  • ooOOOooo
    • Просмотр профиля
purge будет правильнее в данном случае !
Кто понял жизнь, тот не спешит...

cinyflo

  • Автор темы
  • Гость
midori@lxde:~$ update-manager

(update-manager:7442): Gtk-WARNING **: Theme parsing error: gtk-buttons.css:159:10: Expected valid border

** (update-manager:7442): WARNING **: Failed to load shared library 'libunity.so.9' referenced by the typelib: libunity.soso: невозможно открыть разделяемый объектный файл: Нет такого файла или каталога
Traceback (most recent call last):
  File "/usr/bin/update-manager", line 108, in <module>
    app = UpdateManager(data_dir, options)
  File "/usr/lib/python2.7/dist-packages/UpdateManager/UpdateManager.py", line 278, in __init__
    self.install_backend = backend.get_backend(self.window_main)
  File "/usr/lib/python2.7/dist-packages/UpdateManager/backend/__init__.py", line 49, in get_backend
    return InstallBackendAptdaemon(*args, **kwargs)
  File "/usr/lib/python2.7/dist-packages/UpdateManager/backend/InstallBackendAptdaemon.py", line 23, in __init__
    self.unity = UnitySupport()
  File "/usr/lib/python2.7/dist-packages/UpdateManager/UnitySupport.py", line 47, in __init__
    "update-manager.desktop")
  File "/usr/lib/python2.7/dist-packages/gi/types.py", line 43, in function
    return info.invoke(*args, **kwargs)
gi._glib.GError: Could not locate unity_launcher_entry_get_for_desktop_id: (null)
midori@lxde:~$
Если это ни о чём не говорит, то буду пургу использовать.

Оффлайн ArcFi

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 15189
    • Просмотр профиля
    • aetera.net
** (update-manager:7442): WARNING **: Failed to load shared library 'libunity.so.9' referenced by the typelib: libunity.soso: невозможно открыть разделяемый объектный файл: Нет такого файла или каталога
http://packages.ubuntu.com/search?searchon=contents&keywords=libunity.so.9&mode=exactfilename&suite=precise&arch=any

cinyflo

  • Автор темы
  • Гость
То бишь нужно его установить, этот пакет? Ок.

Оффлайн ArcFi

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 15189
    • Просмотр профиля
    • aetera.net
Ага. Установить, либо переустановить, если уже есть.
Заодно проверьте валидность:
ls -ld /usr/lib/libunity*

cinyflo

  • Автор темы
  • Гость
midori@lxde:~$ ls -ld /usr/lib/libunity*
ls: невозможно получить доступ к /usr/lib/libunity*: Нет такого файла или каталога
midori@lxde:~$

...Спасибо, помогло:
sudo aptitude install libunity9

 

Страница сгенерирована за 0.089 секунд. Запросов: 25.